import ConfigParser

class Release:
    def __init__ (self, path=None, file=None):
        self.image = "olpc"
        self.version = 1
        self.descr = ""
        self.manifest = ""
        
        parser = ConfigParser.RawConfigParser()
        if file:
            parser.readfp(file)
        elif path:
            parser.read(path)
        else:
            return
        
        self.image = parser.get ("release", "image")
        self.version = parser.getint ("release", "version")
        self.manifest = parser.get ("release", "manifest")
        if parser.has_option ("release", "description"):
            self.descr = parser.get ("release", "description")
 
    def get_image (self):
        return self.image

    def get_version (self):
        return self.version

    def get_manifest_ref (self):
        return self.manifest

    def __str__(self):
        return "%s.%d"%(self.image, self.version)
